% inverse2.m

% Matlab file for Part 2 of the Inverses and
% Elementary Matrices module

disp('********************************************')
disp('Part 2:  Elementary Matrices and ')
disp('         Row Operations ')
disp('********************************************')
disp('  ')    

    format short
    
    disp('Create basic unit vectors and 4 by 4 identity')
    disp('matrix given below.')
    disp(' ')
    disp('Copy the following commands and paste them as')
    disp('a group at a MATLAB prompt, then execute them.')
    disp(' ')
    disp('  e1=[1,0,0,0]''; ')
    disp('  e2=[0,1,0,0]''; ')
    disp('  e3=[0,0,1,0]''; ')
    disp('  e4=[0,0,0,1]''; ')
    disp('  I4=eye(4) ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp('----------------------------------------------')
    disp(' ')
 
    disp('Now we create elementary matrices from I4. ')
    disp('(Note: A(i,:) is the ith column of matrix A.) ')
    disp('We also create a symbolic matrix M. ')
    disp(' ')
    disp('Copy the following commands and paste them as')
    disp('a group at a MATLAB prompt, then execute them.')
    disp(' ')
    disp('  E1=I4; ')
    disp('  E1(4,:)=-3*E1(1,:) + E1(4,:) ')
    disp('  E2=I4; ')
    disp('  temp=E2(2,:); ')
    disp('  E2(2,:)=E2(4,:); ')
    disp('  E2(4,:)=temp ')
    disp('  E3=I4; ')
    disp('  E3(3,:)=-5*E3(3,:) ')
    disp('  M1=sym(''[m11 m12 m13 m14;m21 m22 m23 m24]''); ')
    disp('  M2=sym(''[m31 m32 m33 m34;m41 m42 m43 m44]''); ')
    disp('  M=[M1;M2] ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp('----------------------------------------------')
    disp(' ')

    disp('Since E1 through E3 are numerical matrices,')
    disp('not symbolic ones, you can not multiply ')
    disp('E1 times symbolic matrix M directly.')
    disp(' ')
    disp('Copy, paste, and execute the following ')
    disp('command to see the trick you have to use in ')
    disp('your symbolic step 1 calculations.')
    disp(' ')
    disp('  sym(E1)*M ')
    disp(' ')
    disp('Do the computations in steps 1 and 2 and')
    disp('answer the questions as MATLAB comments in')
    disp('your diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp('----------------------------------------------')
    disp(' ')

    disp('For steps 3 and 4, enter matrix A and the ')
    disp('3 by 3 identity matrix I3 given below.')
    disp(' ')
    disp('Copy the following commands and paste them as')
    disp('a group at a MATLAB prompt, then execute them.')
    disp(' ')
    disp('  A=[1,-2,3; 2,-6,5; -1,-4,0] ')
    disp('  I3=eye(3) ')
    disp(' ')
    disp('Use I3 to create elementary matrices which ')
    disp('reduce A to an upper triangular matrix. ')
    disp(' ')
    disp('Do the computations of steps 4 and 5. ')
    disp('  ')
    disp('Answer the questions in steps 4 and 5 as')
    disp('MATLAB comments in your diary file.')
    disp('  ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp('----------------------------------------------')
    disp(' ')

    disp('Now, you complete steps 5 and 6 of Part 2.')
    disp(' ')
    disp('Give your answers as MATLAB comments in your ')
    disp('diary file. ')
    disp(' ')

    disp('----------------------------------------------')
    disp('To go on to part 3 of this module, ')
    disp('type: inverse3')
    disp(' ')